import { defineConfig } from 'cypress';
import { readFileSync } from 'fs';
import { resolve } from 'path';
export default defineConfig({
  e2e: {
    baseUrl: 'http://localhost:8000',
    specPattern: 'cypress/e2e/e2e/**/*.{spec,cy}.{js,ts}',
    supportFile: 'cypress/support/e2e.ts',
    setupNodeEvents(on, config) {
      on('task', {
        getSchema() {
          return readFileSync(resolve(__dirname, '../server/schema.graphql'), 'utf8');
        },
      });
    },
  },
  videoUploadOnPasses: false,
  reporter: 'junit',
  reporterOptions: {
    mochaFile: 'cypress/test-reports/e2e/cypress-results-[hash].xml',
    toConsole: true,
  },
  projectId: 'msk-ee',
});
